import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import java.util.Scanner;


public class Z2 {

   
    public static void main(String[] args) {
       LinkedList<Integer> niz = new LinkedList<Integer>();
       Scanner input = new Scanner(System.in);
       int n = input.nextInt();
        for(int i=0; i<n; i++){
            int j = input.nextInt();
            niz.add(j);
        }
        
        String str = "";
         for(int i: niz){
            str += i;
         }
         
         if(n==2){
           int flag = niz.getFirst();
           niz.set(0,  niz.getLast());
           niz.set(1, flag);  
             
         }
         
         else if(n > 2){
             int max = Collections.max(niz);
             
             if(niz.indexOf(max) !=0 ){
                int flag0 = niz.getFirst();
                int flag = niz.indexOf(max);
                niz.set(0, max);
                niz.set(flag, flag0);
                
             }
             else{
              List<Integer> niz2 = niz.subList(1, n);  
              int max2 = Collections.max(niz2);
             
                 int flag0 = niz2.get(0);
                int flag = niz2.indexOf(max2);
                niz2.set(0, max2);
                niz2.set(flag, flag0);
                  
}         
             }
             
           for(int i: niz) System.out.print(i + " ");
         }

        
       
 
       
    }